Translations
Info
All page names need to be in English.
en da  de  fr  it  ja  km  nl  ru  zh

Exception/Flow/1341839377

From TYPO3Wiki
Jump to: navigation, search
This page belongs to the Flow Team (category Flow)

notice - Note

Login and contribute! If you encountered this exception, please help others
by providing information about how you got
this error. Especially if you have a solution,
please add it to this page!
Package: Flow
Subpackage: Flow-Setup
Versions: 1.0.0 -
Class: -
Method: -
Author: Bastian Waidelich
Message: The specified path to your php binary points to a PHP binary with the version "xyz". This is not the same version as is currently running
Description: The path to your PHP binary, configured in the global Configuration/Settings.yaml points to a PHP binary that is not the same one that is currently used by TYPO3 Flow.
Possible solutions:  Edit the file Configuration/Settings.yaml and check the path to your PHP binary::
 TYPO3:
   Flow:
     core:
       phpBinaryPathAndFilename: 'absolute/path/to/your/php/binary'

On Windows, try to remove spaces in the path. Be aware that in Flow versions 1.1 and before the Settings key was TYPO3.FLOW3.core.phpBinaryPathAndFilename

{{ExceptionPart2 The specified path to your PHP binary (see Configuration/Settings.yaml) points to a PHP binary with the version "Allow pool to run as root (disabled by default)". This is not the same version as is currently running ("5.5.12-pl0-gentoo"). (

}}


Just edit ../Configuration/Settings.yaml and change php-cgi to php. When installation done, switch back.